export declare type ListenerType<T, R> = (data: T, acc: R | null) => R;
export declare type OffFunction = () => void;
export declare class Emitter<T, R = void> {
    private _fns;
    on(fn: ListenerType<T, R>): OffFunction;
    prepend(fn: ListenerType<T, R>): OffFunction;
    once(fn: ListenerType<T, R>): OffFunction;
    off(fn: ListenerType<T, R>): void;
    emit(data: T): R | null;
    emitGet(data: T): R[];
    count(): number;
    clear(): void;
}
//# sourceMappingURL=Emitter.d.ts.map