"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.countByIndex = void 0;
exports.countByIndex = function (list, toKey, dest) {
    if (dest === void 0) { dest = {}; }
    var len = list.length;
    var out = dest;
    if (len > 0) {
        switch (typeof toKey) {
            case 'function':
                for (var i = 0; i < len; i += 1) {
                    var id = toKey(list[i], i, list);
                    out[id] = (out[id] || 0) + 1;
                }
                break;
            case 'string':
                for (var i = 0; i < len; i += 1) {
                    var id = list[i][toKey];
                    out[id] = (out[id] || 0) + 1;
                }
                break;
            default:
                for (var i = 0; i < len; i += 1) {
                    var id = list[i];
                    out[id] = (out[id] || 0) + 1;
                }
                break;
        }
    }
    return out;
};
//# sourceMappingURL=countByIndex.js.map