"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.indexItems = void 0;
exports.indexItems = function (list, toKey, dest) {
    if (dest === void 0) { dest = {}; }
    var len = list.length;
    var out = dest;
    if (len > 0) {
        if (typeof toKey === 'function') {
            for (var i = 0; i < len; i += 1) {
                var item = list[i];
                var k = toKey(item, i, list);
                if (k != null) {
                    out[k] = item;
                }
            }
        }
        else {
            for (var i = 0; i < len; i += 1) {
                var item = list[i];
                var k = item && item[toKey];
                if (k != null) {
                    out[k] = item;
                }
            }
        }
    }
    return out;
};
//# sourceMappingURL=indexItems.js.map