"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToUniqueString = void 0;
exports.mapToUniqueString = function (arr, fn) {
    var idMap = {};
    var res = [];
    var len = arr.length;
    for (var i = 0; i < len; i += 1) {
        var id = fn(arr[i], i, arr);
        if (id != null && idMap[id] !== true) {
            idMap[id] = true;
            res.push(id);
        }
    }
    return res;
};
//# sourceMappingURL=mapToUniqueString.js.map