"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseYYYYMMDD = void 0;
var pattern = /^\d{4}-\d{1,2}-\d{1,2}$/;
exports.parseYYYYMMDD = function (value) {
    if (pattern.test(value)) {
        var _a = value.split('-'), y = _a[0], m = _a[1], d = _a[2];
        var year = parseInt(y, 10);
        var month = parseInt(m, 10);
        var day = parseInt(d, 10);
        var date = new Date(year, month - 1, day);
        if (!isNaN(date.getTime()) &&
            date.getFullYear() === year &&
            date.getMonth() === month - 1 &&
            date.getDate() === day) {
            return date;
        }
    }
    return null;
};
//# sourceMappingURL=parseYYYYMMDD.js.map