"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shortFromNow = void 0;
exports.shortFromNow = function (ts, now) {
    if (now === void 0) { now = Date.now(); }
    if (ts == null)
        return '';
    var diff = ts - now;
    var sign = diff >= 0 ? '+' : '-';
    var abs = Math.abs(diff);
    var ms = abs;
    var s = Math.floor(ms / 1000);
    var m = Math.floor(s / 60);
    var h = Math.floor(m / 60);
    var d = Math.floor(h / 24);
    var M = Math.floor(d / (365 / 12));
    var Y = Math.floor(d / 365);
    if (Y) {
        return "" + sign + Y + "y";
    }
    if (M) {
        return "" + sign + M + "mo";
    }
    if (d) {
        return "" + sign + d + "d";
    }
    if (h) {
        return "" + sign + h + "h";
    }
    if (m) {
        return "" + sign + m + "m";
    }
    if (s) {
        return "" + sign + s + "s";
    }
    return 'now';
};
//# sourceMappingURL=shortFromNow.js.map