"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shallowEqualValues = void 0;
exports.shallowEqualValues = function (a, b, opts) {
    if (a === b || (a !== a && b !== b)) {
        return true;
    }
    if (opts) {
        var normalize = opts.normalize, equalValues = opts.equalValues;
        if (normalize) {
            a = normalize(a);
            b = normalize(b);
            if (a === b || (a !== a && b !== b)) {
                return true;
            }
        }
        return equalValues != null && equalValues(a, b, opts);
    }
    return false;
};
//# sourceMappingURL=shallowEqualValues.js.map