"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lazyGet = void 0;
exports.lazyGet = function (fn) {
    var cache;
    return function () {
        if (fn != null) {
            cache = fn();
            fn = null;
        }
        return cache;
    };
};
//# sourceMappingURL=lazyGet.js.map