"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPlainObject = exports.isObject = exports.isNotFunction = exports.isFunction = exports.isNotString = exports.isString = exports.isNotNumber = exports.isNumber = exports.isNotBoolean = exports.isBoolean = exports.isFalsy = exports.isTruthy = exports.isNotNil = exports.isNil = exports.isNotNull = exports.isNull = exports.isDefined = exports.isUndefined = void 0;
exports.isUndefined = function (x) { return x === undefined; };
exports.isDefined = function (x) { return x !== undefined; };
exports.isNull = function (x) { return x === null; };
exports.isNotNull = function (x) { return x !== null; };
exports.isNil = function (x) { return x == null; };
exports.isNotNil = function (x) { return x != null; };
exports.isTruthy = function (x) { return (x ? true : false); };
exports.isFalsy = function (x) { return !x; };
exports.isBoolean = function (x) { return typeof x === 'boolean'; };
exports.isNotBoolean = function (x) { return typeof x !== 'boolean'; };
exports.isNumber = function (x) { return typeof x === 'number'; };
exports.isNotNumber = function (x) { return typeof x !== 'number'; };
exports.isString = function (x) { return typeof x === 'string'; };
exports.isNotString = function (x) { return typeof x !== 'string'; };
exports.isFunction = function (x) { return typeof x === 'function'; };
exports.isNotFunction = function (x) { return typeof x !== 'function'; };
exports.isObject = function (o) {
    return o !== null && typeof o === 'object';
};
exports.isPlainObject = function (o) {
    return exports.isObject(o) && (o.constructor === Object || o.constructor == null);
};
//# sourceMappingURL=is.js.map