"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assignDefined = void 0;
var getKeys_1 = require("./getKeys");
exports.assignDefined = function (to, from, keys) {
    if (keys === void 0) { keys = getKeys_1.getKeys(from); }
    var d = to;
    var len = keys.length;
    for (var i = 0; i < len; i += 1) {
        var key = keys[i];
        var v = from[key];
        if (v !== undefined) {
            d[key] = v;
        }
    }
    return d;
};
//# sourceMappingURL=assignDefined.js.map