"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defineLazyProp = void 0;
var defaultPropDesc = {
    writable: true,
    enumerable: true,
    configurable: true,
};
exports.defineLazyProp = function (obj, key, getter, _a) {
    var _b = _a === void 0 ? defaultPropDesc : _a, _c = _b.writable, writable = _c === void 0 ? true : _c, _d = _b.enumerable, enumerable = _d === void 0 ? true : _d, _e = _b.configurable, configurable = _e === void 0 ? true : _e;
    return Object.defineProperty(obj, key, {
        get: function () {
            var value = getter.call(this);
            Object.defineProperty(this, key, {
                value: value,
                writable: writable,
                enumerable: enumerable,
                configurable: configurable,
            });
            return value;
        },
        enumerable: enumerable,
        configurable: true,
    });
};
//# sourceMappingURL=defineLazyProp.js.map