"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.everyProp = void 0;
var getKeys_1 = require("./getKeys");
exports.everyProp = function (obj, fn) {
    var keys = getKeys_1.getKeys(obj);
    for (var i = 0, len = keys.length; i < len; i += 1) {
        var key = keys[i];
        if (!fn(obj[key], key, obj)) {
            return false;
        }
    }
    return true;
};
//# sourceMappingURL=everyProp.js.map