"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterKeys = void 0;
var hasOwnProp_1 = require("./hasOwnProp");
exports.filterKeys = function (obj, keys, dest) {
    if (dest === void 0) { dest = {}; }
    var out = dest;
    var len = keys.length;
    if (obj.hasOwnProperty) {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            if (obj.hasOwnProperty(key)) {
                out[key] = obj[key];
            }
        }
    }
    else {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            if (hasOwnProp_1.hasOwnProperty.call(obj, key)) {
                out[key] = obj[key];
            }
        }
    }
    return out;
};
//# sourceMappingURL=filterKeys.js.map