"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findProp = void 0;
var getKeys_1 = require("./getKeys");
exports.findProp = function (obj, fn) {
    var keys = getKeys_1.getKeys(obj);
    for (var i = 0, len = keys.length; i < len; i += 1) {
        var key = keys[i];
        var val = obj[key];
        if (fn(val, key, obj)) {
            return val;
        }
    }
    return undefined;
};
//# sourceMappingURL=findProp.js.map