"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = void 0;
exports.get = function (obj, path) {
    if (!obj) {
        return undefined;
    }
    var keys = path.split('.');
    var lastIndex = keys.length - 1;
    var scope = obj;
    var i = 0;
    for (; i < lastIndex; i += 1) {
        scope = scope[keys[i]];
        if (!scope) {
            return undefined;
        }
    }
    return scope[keys[i]];
};
//# sourceMappingURL=get.js.map