"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getter = void 0;
exports.getter = function (path) {
    var keys = path.split('.');
    var lastIndex = keys.length - 1;
    return function (obj) {
        if (!obj) {
            return undefined;
        }
        var scope = obj;
        var i = 0;
        for (; i < lastIndex; i += 1) {
            scope = scope[keys[i]];
            if (!scope) {
                return undefined;
            }
        }
        return scope[keys[i]];
    };
};
//# sourceMappingURL=getter.js.map