"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToArray = void 0;
var getKeys_1 = require("./getKeys");
exports.mapToArray = function (obj, fn, thisp) {
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    var res = new Array(len);
    if (thisp == null) {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            res[i] = fn(obj[key], key, obj);
        }
    }
    else {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            res[i] = fn.call(thisp, obj[key], key, obj);
        }
    }
    return res;
};
//# sourceMappingURL=mapToArray.js.map