"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reduceProps = void 0;
var getKeys_1 = require("./getKeys");
exports.reduceProps = function (obj, fn, initial, thisp) {
    var value = initial;
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    if (thisp == null) {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            value = fn(value, obj[key], key, obj);
        }
    }
    else {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            value = fn.call(thisp, value, obj[key], key, obj);
        }
    }
    return value;
};
//# sourceMappingURL=reduceProps.js.map