"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64FromUrlSafe = void 0;
var safeChars = /[-_]/g;
var DEC = {
    '-': '+',
    _: '/',
};
var replaceSafeChar = function (c) { return DEC[c]; };
exports.base64FromUrlSafe = function (safe) {
    var base64 = safe.replace(safeChars, replaceSafeChar);
    var len = base64.length % 4;
    if (len === 2) {
        base64 += '==';
    }
    else if (len === 3) {
        base64 += '=';
    }
    return base64;
};
//# sourceMappingURL=base64FromUrlSafe.js.map