"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64ToUrlSafe = void 0;
var unsafeChars = /[+/=]/g;
var ENC = {
    '+': '-',
    '/': '_',
    '=': '',
};
var replaceUnsafeChar = function (c) { return ENC[c]; };
exports.base64ToUrlSafe = function (base64) {
    return base64.replace(unsafeChars, replaceUnsafeChar);
};
//# sourceMappingURL=base64ToUrlSafe.js.map