"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeHtmlChars = void 0;
var htmlCharsToEscape = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
};
var escapeHtmlChar = function (tag) { return htmlCharsToEscape[tag] || tag; };
exports.escapeHtmlChars = function (str) {
    return str.replace(/[&<>]/g, escapeHtmlChar);
};
//# sourceMappingURL=escapeHtmlChars.js.map