"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCurrency = void 0;
var defaultSectionSize = 3;
exports.formatCurrency = function (value, fixed, sectionSize, sign) {
    if (fixed === void 0) { fixed = 0; }
    if (sectionSize === void 0) { sectionSize = defaultSectionSize; }
    if (sign === void 0) { sign = '$'; }
    var regexp = new RegExp("\\d(?=(\\d{" + sectionSize + "})+" + (fixed > 0 ? '\\.' : '$') + ")", 'g');
    var fixed2 = Math.max(0, ~~fixed);
    return "" + sign + value.toFixed(fixed2).replace(regexp, '$&,');
};
//# sourceMappingURL=formatCurrency.js.map