"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unescapeHtmlChars = void 0;
var htmlCharsToUnescape = {
    '&amp;': '&',
    '&lt;': '<',
    '&gt;': '>',
};
var unescapeHtmlChar = function (tag) {
    return htmlCharsToUnescape[tag] || tag;
};
exports.unescapeHtmlChars = function (str) {
    return str.replace(/&(?:amp|lt|gt);/g, unescapeHtmlChar);
};
//# sourceMappingURL=unescapeHtmlChars.js.map