"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseVideoIdFromYouTubeVideoUrl = void 0;
var watchPattern = /\byoutube\.com\/watch\?v=([\w-]+)\b/;
var shortUrlPattern = /\byoutu\.be\/([\w-]+)\b/;
var embedPattern = /\byoutube\.com\/embed\/([\w-]+)\b/;
exports.parseVideoIdFromYouTubeVideoUrl = function (url) {
    if (url) {
        var match = url.match(watchPattern);
        if (match) {
            return match[1];
        }
        match = url.match(shortUrlPattern);
        if (match) {
            return match[1];
        }
        match = url.match(embedPattern);
        if (match) {
            return match[1];
        }
    }
    return null;
};
//# sourceMappingURL=parseVideoIdFromYouTubeVideoUrl.js.map