"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cloneDeep = void 0;
const mapItems_1 = require("../array/mapItems");
const is_1 = require("../is");
const mapProps_1 = require("../object/mapProps");
exports.cloneDeep = (obj) => {
    if (is_1.isObject(obj)) {
        if (Array.isArray(obj)) {
            return mapItems_1.mapItems(obj, exports.cloneDeep);
        }
        return mapProps_1.mapProps(obj, exports.cloneDeep);
    }
    return obj;
};
//# sourceMappingURL=cloneDeep.js.map