"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteUndefinedProps = void 0;
const getKeys_1 = require("./getKeys");
exports.deleteUndefinedProps = (obj) => {
    const keys = getKeys_1.getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        if (obj[key] === undefined) {
            delete obj[key];
        }
    }
    return obj;
};
//# sourceMappingURL=deleteUndefinedProps.js.map