"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterProps = void 0;
const getKeys_1 = require("./getKeys");
exports.filterProps = (obj, fn, thisp, dest = {}) => {
    const out = dest;
    const keys = getKeys_1.getKeys(obj);
    const len = keys.length;
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            if (fn(obj[key], key, obj)) {
                out[key] = obj[key];
            }
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            if (fn.call(thisp, obj[key], key, obj)) {
                out[key] = obj[key];
            }
        }
    }
    return out;
};
//# sourceMappingURL=filterProps.js.map