"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findProp = void 0;
const getKeys_1 = require("./getKeys");
exports.findProp = (obj, fn) => {
    const keys = getKeys_1.getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        const val = obj[key];
        if (fn(val, key, obj)) {
            return val;
        }
    }
    return undefined;
};
//# sourceMappingURL=findProp.js.map