"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = void 0;
exports.get = (obj, path) => {
    if (!obj) {
        return undefined;
    }
    const keys = path.split('.');
    const lastIndex = keys.length - 1;
    let scope = obj;
    let i = 0;
    for (; i < lastIndex; i += 1) {
        scope = scope[keys[i]];
        if (!scope) {
            return undefined;
        }
    }
    return scope[keys[i]];
};
//# sourceMappingURL=get.js.map