"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getterMap = void 0;
const getKeys_1 = require("./getKeys");
const getter_1 = require("./getter");
exports.getterMap = (mapping) => {
    const keys = getKeys_1.getKeys(mapping);
    const getters = keys.map((k) => getter_1.getter(mapping[k]));
    const len = keys.length;
    return (obj) => {
        const dest = {};
        for (let i = 0; i < len; i += 1) {
            dest[keys[i]] = getters[i](obj);
        }
        return dest;
    };
};
//# sourceMappingURL=getterMap.js.map