"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapFilterProps = void 0;
const getKeys_1 = require("./getKeys");
exports.mapFilterProps = (obj, fn, badValue, dest = {}) => {
    const out = dest;
    const keys = getKeys_1.getKeys(obj);
    const len = keys.length;
    for (let i = 0; i < len; i += 1) {
        const key = keys[i];
        const value = fn(obj[key], key, obj);
        if (value !== badValue) {
            out[key] = value;
        }
    }
    return out;
};
//# sourceMappingURL=mapFilterProps.js.map