"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reduceProps = void 0;
const getKeys_1 = require("./getKeys");
exports.reduceProps = (obj, fn, initial, thisp) => {
    let value = initial;
    const keys = getKeys_1.getKeys(obj);
    const len = keys.length;
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            value = fn(value, obj[key], key, obj);
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            value = fn.call(thisp, value, obj[key], key, obj);
        }
    }
    return value;
};
//# sourceMappingURL=reduceProps.js.map