"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortedCopy = void 0;
const getKeys_1 = require("./getKeys");
exports.sortedCopy = (obj) => {
    let keys = getKeys_1.getKeys(obj);
    const len = keys.length;
    const dest = {};
    if (len) {
        keys = keys.sort();
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            dest[key] = obj[key];
        }
    }
    return dest;
};
//# sourceMappingURL=sortedCopy.js.map