"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inheritProp = void 0;
exports.inheritProp = (to, from, fromKey, toKey) => {
    const desc = Object.getOwnPropertyDescriptor(from, fromKey);
    if (desc) {
        return Object.defineProperty(to, toKey || fromKey, desc);
    }
    return to;
};
//# sourceMappingURL=inheritProp.js.map