"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base64ToUrlSafe = void 0;
const unsafeChars = /[+/=]/g;
const ENC = {
    '+': '-',
    '/': '_',
    '=': '',
};
const replaceUnsafeChar = (c) => ENC[c];
exports.base64ToUrlSafe = (base64) => base64.replace(unsafeChars, replaceUnsafeChar);
//# sourceMappingURL=base64ToUrlSafe.js.map