"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeHtmlChars = void 0;
const htmlCharsToEscape = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
};
const escapeHtmlChar = (tag) => htmlCharsToEscape[tag] || tag;
exports.escapeHtmlChars = (str) => str.replace(/[&<>]/g, escapeHtmlChar);
//# sourceMappingURL=escapeHtmlChars.js.map