"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.padEnd = void 0;
const pad_1 = require("./pad");
exports.padEnd = typeof ''.padEnd === 'function'
    ? (s, length, padString = ' ') => s.padEnd(length, padString)
    : (s, length, padString = ' ') => {
        const dLength = length - s.length;
        if (dLength > 0) {
            return `${s}${pad_1.pad(padString, dLength)}`;
        }
        return s;
    };
//# sourceMappingURL=padEnd.js.map