"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.padStart = void 0;
const pad_1 = require("./pad");
exports.padStart = typeof ''.padStart === 'function'
    ? (s, length, padString = ' ') => s.padStart(length, padString)
    : (s, length, padString = ' ') => {
        const dLength = length - s.length;
        if (dLength > 0) {
            return `${pad_1.pad(padString, dLength)}${s}`;
        }
        return s;
    };
//# sourceMappingURL=padStart.js.map