"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.truncateWords = void 0;
exports.truncateWords = (str, preferredLength, maxLength, suffix = '...', regex) => {
    if (str.length > maxLength) {
        const reg = regex || /\s+/g;
        let match;
        while ((match = reg.exec(str))) {
            if (match.index >= preferredLength) {
                return `${str.substring(0, match.index)}${suffix}`;
            }
        }
    }
    return str;
};
//# sourceMappingURL=truncateWords.js.map