export declare type AsyncJob = () => void | Promise<void>;
export declare class AsyncQueue {
    fifo: boolean;
    private _running;
    private _queue;
    private _promise;
    constructor(fifo?: boolean);
    add(job: AsyncJob): void;
    remove(job: AsyncJob): number;
    run(): Promise<number>;
    running(): boolean;
    count(): number;
    wait(): Promise<void>;
}
//# sourceMappingURL=AsyncQueue.d.ts.map