export const mapFilterItems = (arr, fn, badValue) => {
    const len = arr.length;
    const list = [];
    for (let i = 0; i < len; i += 1) {
        const value = fn(arr[i], i, arr);
        if (value !== badValue) {
            list.push(value);
        }
    }
    return list;
};
//# sourceMappingURL=mapFilterItems.js.map