export const mapN = (count, fn, args, thisp) => {
    const results = new Array(count);
    if (args && args.length) {
        for (let i = 0; i < count; i += 1) {
            results[i] = fn.apply(thisp, args);
        }
    }
    else {
        if (thisp == null) {
            for (let i = 0; i < count; i += 1) {
                results[i] = fn(i);
            }
        }
        else {
            for (let i = 0; i < count; i += 1) {
                results[i] = fn.call(thisp, i);
            }
        }
    }
    return results;
};
//# sourceMappingURL=mapN.js.map