export const toKeys = (list, toKey, toValue = true, dest = {}) => {
    const len = list.length;
    const out = dest;
    if (len) {
        switch (typeof toKey) {
            case 'function': {
                if (typeof toValue === 'function') {
                    for (let i = 0; i < len; i += 1) {
                        const item = list[i];
                        const k = toKey(item, i, list);
                        if (k != null) {
                            out[k] = toValue(item, k, i, list);
                        }
                    }
                }
                else {
                    for (let i = 0; i < len; i += 1) {
                        const item = list[i];
                        const k = toKey(item, i, list);
                        if (k != null) {
                            out[k] = toValue;
                        }
                    }
                }
                break;
            }
            case 'string': {
                if (typeof toValue === 'function') {
                    for (let i = 0; i < len; i += 1) {
                        const item = list[i];
                        const k = item[toKey];
                        if (k != null) {
                            out[k] = toValue(item, k, i, list);
                        }
                    }
                }
                else {
                    for (let i = 0; i < len; i += 1) {
                        const item = list[i];
                        const k = item[toKey];
                        if (k != null) {
                            out[k] = toValue;
                        }
                    }
                }
                break;
            }
            default: {
                if (typeof toValue === 'function') {
                    for (let i = 0; i < len; i += 1) {
                        const item = list[i];
                        if (item != null) {
                            out[item] = toValue(item, item, i, list);
                        }
                    }
                }
                else {
                    for (let i = 0; i < len; i += 1) {
                        const item = list[i];
                        if (item != null) {
                            out[item] = toValue;
                        }
                    }
                }
            }
        }
    }
    return out;
};
//# sourceMappingURL=toKeys.js.map