export const shallowEqualValues = (a, b, opts) => {
    if (a === b || (a !== a && b !== b)) {
        return true;
    }
    if (opts) {
        const { normalize, equalValues } = opts;
        if (normalize) {
            a = normalize(a);
            b = normalize(b);
            if (a === b || (a !== a && b !== b)) {
                return true;
            }
        }
        return equalValues != null && equalValues(a, b, opts);
    }
    return false;
};
//# sourceMappingURL=shallowEqualValues.js.map