export const lazyGet = (fn) => {
    let cache;
    return () => {
        if (fn != null) {
            cache = fn();
            fn = null;
        }
        return cache;
    };
};
//# sourceMappingURL=lazyGet.js.map