export const isUndefined = (x) => x === undefined;
export const isDefined = (x) => x !== undefined;
export const isNull = (x) => x === null;
export const isNotNull = (x) => x !== null;
export const isNil = (x) => x == null;
export const isNotNil = (x) => x != null;
export const isTruthy = (x) => (x ? true : false);
export const isFalsy = (x) => !x;
export const isBoolean = (x) => typeof x === 'boolean';
export const isNotBoolean = (x) => typeof x !== 'boolean';
export const isNumber = (x) => typeof x === 'number';
export const isNotNumber = (x) => typeof x !== 'number';
export const isString = (x) => typeof x === 'string';
export const isNotString = (x) => typeof x !== 'string';
export const isFunction = (x) => typeof x === 'function';
export const isNotFunction = (x) => typeof x !== 'function';
export const isObject = (o) => o !== null && typeof o === 'object';
export const isPlainObject = (o) => isObject(o) && (o.constructor === Object || o.constructor == null);
//# sourceMappingURL=is.js.map