import { mapItems } from '../array/mapItems';
import { isObject } from '../is';
import { mapProps } from '../object/mapProps';
export const cloneDeep = (obj) => {
    if (isObject(obj)) {
        if (Array.isArray(obj)) {
            return mapItems(obj, cloneDeep);
        }
        return mapProps(obj, cloneDeep);
    }
    return obj;
};
//# sourceMappingURL=cloneDeep.js.map