import { getKeys } from './getKeys';
export const assignDefined = (to, from, keys = getKeys(from)) => {
    const d = to;
    const len = keys.length;
    for (let i = 0; i < len; i += 1) {
        const key = keys[i];
        const v = from[key];
        if (v !== undefined) {
            d[key] = v;
        }
    }
    return d;
};
//# sourceMappingURL=assignDefined.js.map