import { getKeys } from './getKeys';
export const everyProp = (obj, fn) => {
    const keys = getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        if (!fn(obj[key], key, obj)) {
            return false;
        }
    }
    return true;
};
//# sourceMappingURL=everyProp.js.map