import { getKeys } from './getKeys';
export const findKey = (obj, fn) => {
    const keys = getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        if (fn(obj[key], key, obj)) {
            return key;
        }
    }
    return undefined;
};
//# sourceMappingURL=findKey.js.map