import { getKeys } from './getKeys';
export const forEachProp = (obj, fn, thisp) => {
    const keys = getKeys(obj);
    const len = keys.length;
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            fn(obj[key], key, obj);
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            fn.call(thisp, obj[key], key, obj);
        }
    }
};
//# sourceMappingURL=forEachProp.js.map