import { getKeys } from './getKeys';
import { getter } from './getter';
export const getterMap = (mapping) => {
    const keys = getKeys(mapping);
    const getters = keys.map((k) => getter(mapping[k]));
    const len = keys.length;
    return (obj) => {
        const dest = {};
        for (let i = 0; i < len; i += 1) {
            dest[keys[i]] = getters[i](obj);
        }
        return dest;
    };
};
//# sourceMappingURL=getterMap.js.map