import { getKeys } from './getKeys';
export const mapFilterProps = (obj, fn, badValue, dest = {}) => {
    const out = dest;
    const keys = getKeys(obj);
    const len = keys.length;
    for (let i = 0; i < len; i += 1) {
        const key = keys[i];
        const value = fn(obj[key], key, obj);
        if (value !== badValue) {
            out[key] = value;
        }
    }
    return out;
};
//# sourceMappingURL=mapFilterProps.js.map