import { getKeys } from './getKeys';
export const mapProps = (obj, fn, thisp, dest = {}) => {
    const out = dest;
    const keys = getKeys(obj);
    const len = keys.length;
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            out[key] = fn(obj[key], key, obj);
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            out[key] = fn.call(thisp, obj[key], key, obj);
        }
    }
    return out;
};
//# sourceMappingURL=mapProps.js.map