import { getKeys } from './getKeys';
export const mapToArray = (obj, fn, thisp) => {
    const keys = getKeys(obj);
    const len = keys.length;
    const res = new Array(len);
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            res[i] = fn(obj[key], key, obj);
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            res[i] = fn.call(thisp, obj[key], key, obj);
        }
    }
    return res;
};
//# sourceMappingURL=mapToArray.js.map