import { getKeys } from './getKeys';
export const reduceProps = (obj, fn, initial, thisp) => {
    let value = initial;
    const keys = getKeys(obj);
    const len = keys.length;
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            value = fn(value, obj[key], key, obj);
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            value = fn.call(thisp, value, obj[key], key, obj);
        }
    }
    return value;
};
//# sourceMappingURL=reduceProps.js.map