import { getKeys } from '../object/getKeys';
export const allValues = (mapOfPromise) => {
    const keys = getKeys(mapOfPromise);
    const len = keys.length;
    const promises = new Array(len);
    for (let i = 0; i < len; i += 1) {
        promises[i] = mapOfPromise[keys[i]];
    }
    return Promise.all(promises).then((values) => {
        const mapped = {};
        for (let i = 0; i < len; i += 1) {
            mapped[keys[i]] = values[i];
        }
        return mapped;
    });
};
export const promiseAll = allValues;
//# sourceMappingURL=allValues.js.map