export const inheritProp = (to, from, fromKey, toKey) => {
    const desc = Object.getOwnPropertyDescriptor(from, fromKey);
    if (desc) {
        return Object.defineProperty(to, toKey || fromKey, desc);
    }
    return to;
};
//# sourceMappingURL=inheritProp.js.map