const unsafeChars = /[+/=]/g;
const ENC = {
    '+': '-',
    '/': '_',
    '=': '',
};
const replaceUnsafeChar = (c) => ENC[c];
export const base64ToUrlSafe = (base64) => base64.replace(unsafeChars, replaceUnsafeChar);
//# sourceMappingURL=base64ToUrlSafe.js.map