const defaultSectionSize = 3;
export const formatCurrency = (value, fixed = 0, sectionSize = defaultSectionSize, sign = '$') => {
    const regexp = new RegExp(`\\d(?=(\\d{${sectionSize}})+${fixed > 0 ? '\\.' : '$'})`, 'g');
    const fixed2 = Math.max(0, ~~fixed);
    return `${sign}${value.toFixed(fixed2).replace(regexp, '$&,')}`;
};
//# sourceMappingURL=formatCurrency.js.map