import { pad } from './pad';
export const padEnd = typeof ''.padEnd === 'function'
    ? (s, length, padString = ' ') => s.padEnd(length, padString)
    : (s, length, padString = ' ') => {
        const dLength = length - s.length;
        if (dLength > 0) {
            return `${s}${pad(padString, dLength)}`;
        }
        return s;
    };
//# sourceMappingURL=padEnd.js.map