const htmlCharsToUnescape = {
    '&amp;': '&',
    '&lt;': '<',
    '&gt;': '>',
};
const unescapeHtmlChar = (tag) => htmlCharsToUnescape[tag] || tag;
export const unescapeHtmlChars = (str) => str.replace(/&(?:amp|lt|gt);/g, unescapeHtmlChar);
//# sourceMappingURL=unescapeHtmlChars.js.map