"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapFilterItems = void 0;
exports.mapFilterItems = function (arr, fn, badValue) {
    var len = arr.length;
    var list = [];
    for (var i = 0; i < len; i += 1) {
        var value = fn(arr[i], i, arr);
        if (value !== badValue) {
            list.push(value);
        }
    }
    return list;
};
//# sourceMappingURL=mapFilterItems.js.map