"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toKeys = void 0;
exports.toKeys = function (list, toKey, toValue, dest) {
    if (toValue === void 0) { toValue = true; }
    if (dest === void 0) { dest = {}; }
    var len = list.length;
    var out = dest;
    if (len) {
        switch (typeof toKey) {
            case 'function': {
                if (typeof toValue === 'function') {
                    for (var i = 0; i < len; i += 1) {
                        var item = list[i];
                        var k = toKey(item, i, list);
                        if (k != null) {
                            out[k] = toValue(item, k, i, list);
                        }
                    }
                }
                else {
                    for (var i = 0; i < len; i += 1) {
                        var item = list[i];
                        var k = toKey(item, i, list);
                        if (k != null) {
                            out[k] = toValue;
                        }
                    }
                }
                break;
            }
            case 'string': {
                if (typeof toValue === 'function') {
                    for (var i = 0; i < len; i += 1) {
                        var item = list[i];
                        var k = item[toKey];
                        if (k != null) {
                            out[k] = toValue(item, k, i, list);
                        }
                    }
                }
                else {
                    for (var i = 0; i < len; i += 1) {
                        var item = list[i];
                        var k = item[toKey];
                        if (k != null) {
                            out[k] = toValue;
                        }
                    }
                }
                break;
            }
            default: {
                if (typeof toValue === 'function') {
                    for (var i = 0; i < len; i += 1) {
                        var item = list[i];
                        if (item != null) {
                            out[item] = toValue(item, item, i, list);
                        }
                    }
                }
                else {
                    for (var i = 0; i < len; i += 1) {
                        var item = list[i];
                        if (item != null) {
                            out[item] = toValue;
                        }
                    }
                }
            }
        }
    }
    return out;
};
//# sourceMappingURL=toKeys.js.map