"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unique = void 0;
exports.unique = function (list, toKey) {
    if (!list.length) {
        return [];
    }
    var exists = {};
    switch (typeof toKey) {
        case 'function':
            return list.filter(function (x, i) {
                var k = toKey(x, i, list);
                if (k == null || exists[k] === 1) {
                    return false;
                }
                exists[k] = 1;
                return true;
            });
        case 'string':
            return list.filter(function (x) {
                var k = x[toKey];
                if (k == null || exists[k] === 1) {
                    return false;
                }
                exists[k] = 1;
                return true;
            });
        default:
            return list.filter(function (x) {
                var k = String(x);
                if (exists[k] === 1) {
                    return false;
                }
                exists[k] = 1;
                return true;
            });
    }
};
//# sourceMappingURL=unique.js.map