"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDateWithTimeZone = void 0;
exports.getDateWithTimeZone = function (timeZone, year, month0, day, hour, minute, second) {
    if (hour === void 0) { hour = 0; }
    if (minute === void 0) { minute = 0; }
    if (second === void 0) { second = 0; }
    var date = new Date(Date.UTC(year, month0, day, hour, minute, second));
    var offset = new Date(date.toLocaleString('en-US', { timeZone: 'UTC' })).getTime() -
        new Date(date.toLocaleString('en-US', { timeZone: timeZone })).getTime();
    return new Date(date.getTime() + offset);
};
//# sourceMappingURL=getDateWithTimeZone.js.map