"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatShortNumber = void 0;
var defaultSuffixes = ['', 'K', 'M', 'B'];
exports.formatShortNumber = function (n, _a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.divisor, divisor = _c === void 0 ? 1000 : _c, _d = _b.units, units = _d === void 0 ? defaultSuffixes : _d, _e = _b.precision, precision = _e === void 0 ? 2 : _e, _f = _b.round, round = _f === void 0 ? 'round' : _f;
    var sign = n >= 0 ? '' : '-';
    var abs = Math.abs(n);
    var len = units.length;
    for (var i = 0; i < len; i += 1) {
        if (abs < divisor || i >= len - 1) {
            var sigN = ("" + abs).replace(/\..*$/, '').length;
            var p = Math.max(0, precision - sigN);
            var ns = i === 0 ? abs : abs.toFixed(p);
            return "" + sign + ns + units[i];
        }
        var pp = Math.pow(10, Math.max(0, precision - 1));
        abs = Math[round]((abs * pp) / divisor) / pp;
    }
    return "" + sign + abs + units[len - 1];
};
//# sourceMappingURL=formatShortNumber.js.map