"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteUndefinedProps = void 0;
var getKeys_1 = require("./getKeys");
exports.deleteUndefinedProps = function (obj) {
    var keys = getKeys_1.getKeys(obj);
    for (var i = 0, len = keys.length; i < len; i += 1) {
        var key = keys[i];
        if (obj[key] === undefined) {
            delete obj[key];
        }
    }
    return obj;
};
//# sourceMappingURL=deleteUndefinedProps.js.map