"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterProps = void 0;
var getKeys_1 = require("./getKeys");
exports.filterProps = function (obj, fn, thisp, dest) {
    if (dest === void 0) { dest = {}; }
    var out = dest;
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    if (thisp == null) {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            if (fn(obj[key], key, obj)) {
                out[key] = obj[key];
            }
        }
    }
    else {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            if (fn.call(thisp, obj[key], key, obj)) {
                out[key] = obj[key];
            }
        }
    }
    return out;
};
//# sourceMappingURL=filterProps.js.map