"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findKey = void 0;
var getKeys_1 = require("./getKeys");
exports.findKey = function (obj, fn) {
    var keys = getKeys_1.getKeys(obj);
    for (var i = 0, len = keys.length; i < len; i += 1) {
        var key = keys[i];
        if (fn(obj[key], key, obj)) {
            return key;
        }
    }
    return undefined;
};
//# sourceMappingURL=findKey.js.map