"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.forEachProp = void 0;
var getKeys_1 = require("./getKeys");
exports.forEachProp = function (obj, fn, thisp) {
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    if (thisp == null) {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            fn(obj[key], key, obj);
        }
    }
    else {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            fn.call(thisp, obj[key], key, obj);
        }
    }
};
//# sourceMappingURL=forEachProp.js.map