"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getterMap = void 0;
var getKeys_1 = require("./getKeys");
var getter_1 = require("./getter");
exports.getterMap = function (mapping) {
    var keys = getKeys_1.getKeys(mapping);
    var getters = keys.map(function (k) { return getter_1.getter(mapping[k]); });
    var len = keys.length;
    return function (obj) {
        var dest = {};
        for (var i = 0; i < len; i += 1) {
            dest[keys[i]] = getters[i](obj);
        }
        return dest;
    };
};
//# sourceMappingURL=getterMap.js.map