"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapFilterProps = void 0;
var getKeys_1 = require("./getKeys");
exports.mapFilterProps = function (obj, fn, badValue, dest) {
    if (dest === void 0) { dest = {}; }
    var out = dest;
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    for (var i = 0; i < len; i += 1) {
        var key = keys[i];
        var value = fn(obj[key], key, obj);
        if (value !== badValue) {
            out[key] = value;
        }
    }
    return out;
};
//# sourceMappingURL=mapFilterProps.js.map