"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapProps = void 0;
var getKeys_1 = require("./getKeys");
exports.mapProps = function (obj, fn, thisp, dest) {
    if (dest === void 0) { dest = {}; }
    var out = dest;
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    if (thisp == null) {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            out[key] = fn(obj[key], key, obj);
        }
    }
    else {
        for (var i = 0; i < len; i += 1) {
            var key = keys[i];
            out[key] = fn.call(thisp, obj[key], key, obj);
        }
    }
    return out;
};
//# sourceMappingURL=mapProps.js.map