"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withoutKeys = void 0;
var getKeys_1 = require("./getKeys");
exports.withoutKeys = function (obj, excludeKeys, dest) {
    if (dest === void 0) { dest = {}; }
    var out = dest;
    var keys = getKeys_1.getKeys(obj);
    var len = keys.length;
    for (var i = 0; i < len; i += 1) {
        var key = keys[i];
        if (excludeKeys.indexOf(key) === -1) {
            out[key] = obj[key];
        }
    }
    return out;
};
//# sourceMappingURL=withoutKeys.js.map