"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promiseAll = exports.allValues = void 0;
var getKeys_1 = require("../object/getKeys");
exports.allValues = function (mapOfPromise) {
    var keys = getKeys_1.getKeys(mapOfPromise);
    var len = keys.length;
    var promises = new Array(len);
    for (var i = 0; i < len; i += 1) {
        promises[i] = mapOfPromise[keys[i]];
    }
    return Promise.all(promises).then(function (values) {
        var mapped = {};
        for (var i = 0; i < len; i += 1) {
            mapped[keys[i]] = values[i];
        }
        return mapped;
    });
};
exports.promiseAll = exports.allValues;
//# sourceMappingURL=allValues.js.map