"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decodeURIComponentSafe = exports.decodeURISafe = void 0;
var malformedRegex = /%(?![0-9][0-9a-fA-F]+)/g;
exports.decodeURISafe = function (s) {
    return s && decodeURI(s.replace(malformedRegex, '%25'));
};
exports.decodeURIComponentSafe = function (s) {
    return s && decodeURIComponent(s.replace(malformedRegex, '%25'));
};
//# sourceMappingURL=decodeURISafe.js.map