"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.padEnd = void 0;
var pad_1 = require("./pad");
exports.padEnd = typeof ''.padEnd === 'function'
    ? function (s, length, padString) {
        if (padString === void 0) { padString = ' '; }
        return s.padEnd(length, padString);
    }
    : function (s, length, padString) {
        if (padString === void 0) { padString = ' '; }
        var dLength = length - s.length;
        if (dLength > 0) {
            return "" + s + pad_1.pad(padString, dLength);
        }
        return s;
    };
//# sourceMappingURL=padEnd.js.map