"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.padStart = void 0;
var pad_1 = require("./pad");
exports.padStart = typeof ''.padStart === 'function'
    ? function (s, length, padString) {
        if (padString === void 0) { padString = ' '; }
        return s.padStart(length, padString);
    }
    : function (s, length, padString) {
        if (padString === void 0) { padString = ' '; }
        var dLength = length - s.length;
        if (dLength > 0) {
            return "" + pad_1.pad(padString, dLength) + s;
        }
        return s;
    };
//# sourceMappingURL=padStart.js.map