"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.truncateWords = void 0;
exports.truncateWords = function (str, preferredLength, maxLength, suffix, regex) {
    if (suffix === void 0) { suffix = '...'; }
    if (str.length > maxLength) {
        var reg = regex || /\s+/g;
        var match = void 0;
        while ((match = reg.exec(str))) {
            if (match.index >= preferredLength) {
                return "" + str.substring(0, match.index) + suffix;
            }
        }
    }
    return str;
};
//# sourceMappingURL=truncateWords.js.map