"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.countByIndex = void 0;
exports.countByIndex = (list, toKey, dest = {}) => {
    const len = list.length;
    const out = dest;
    if (len > 0) {
        switch (typeof toKey) {
            case 'function':
                for (let i = 0; i < len; i += 1) {
                    const id = toKey(list[i], i, list);
                    out[id] = (out[id] || 0) + 1;
                }
                break;
            case 'string':
                for (let i = 0; i < len; i += 1) {
                    const id = list[i][toKey];
                    out[id] = (out[id] || 0) + 1;
                }
                break;
            default:
                for (let i = 0; i < len; i += 1) {
                    const id = list[i];
                    out[id] = (out[id] || 0) + 1;
                }
                break;
        }
    }
    return out;
};
//# sourceMappingURL=countByIndex.js.map