"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uniqueByKey = void 0;
exports.uniqueByKey = (list, key) => {
    if (!list.length) {
        return [];
    }
    const exists = {};
    return list.filter((x) => {
        const k = x[key];
        if (exists[k] === 1) {
            return false;
        }
        exists[k] = 1;
        return true;
    });
};
//# sourceMappingURL=uniqueByKey.js.map