"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lazyGet = void 0;
exports.lazyGet = (fn) => {
    let cache;
    return () => {
        if (fn != null) {
            cache = fn();
            fn = null;
        }
        return cache;
    };
};
//# sourceMappingURL=lazyGet.js.map