"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPlainObject = exports.isObject = exports.isNotFunction = exports.isFunction = exports.isNotString = exports.isString = exports.isNotNumber = exports.isNumber = exports.isNotBoolean = exports.isBoolean = exports.isFalsy = exports.isTruthy = exports.isNotNil = exports.isNil = exports.isNotNull = exports.isNull = exports.isDefined = exports.isUndefined = void 0;
exports.isUndefined = (x) => x === undefined;
exports.isDefined = (x) => x !== undefined;
exports.isNull = (x) => x === null;
exports.isNotNull = (x) => x !== null;
exports.isNil = (x) => x == null;
exports.isNotNil = (x) => x != null;
exports.isTruthy = (x) => (x ? true : false);
exports.isFalsy = (x) => !x;
exports.isBoolean = (x) => typeof x === 'boolean';
exports.isNotBoolean = (x) => typeof x !== 'boolean';
exports.isNumber = (x) => typeof x === 'number';
exports.isNotNumber = (x) => typeof x !== 'number';
exports.isString = (x) => typeof x === 'string';
exports.isNotString = (x) => typeof x !== 'string';
exports.isFunction = (x) => typeof x === 'function';
exports.isNotFunction = (x) => typeof x !== 'function';
exports.isObject = (o) => o !== null && typeof o === 'object';
exports.isPlainObject = (o) => exports.isObject(o) && (o.constructor === Object || o.constructor == null);
//# sourceMappingURL=is.js.map