"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assignDefined = void 0;
const getKeys_1 = require("./getKeys");
exports.assignDefined = (to, from, keys = getKeys_1.getKeys(from)) => {
    const d = to;
    const len = keys.length;
    for (let i = 0; i < len; i += 1) {
        const key = keys[i];
        const v = from[key];
        if (v !== undefined) {
            d[key] = v;
        }
    }
    return d;
};
//# sourceMappingURL=assignDefined.js.map