"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.everyProp = void 0;
const getKeys_1 = require("./getKeys");
exports.everyProp = (obj, fn) => {
    const keys = getKeys_1.getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        if (!fn(obj[key], key, obj)) {
            return false;
        }
    }
    return true;
};
//# sourceMappingURL=everyProp.js.map