"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterKeys = void 0;
const hasOwnProp_1 = require("./hasOwnProp");
exports.filterKeys = (obj, keys, dest = {}) => {
    const out = dest;
    const len = keys.length;
    if (obj.hasOwnProperty) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            if (obj.hasOwnProperty(key)) {
                out[key] = obj[key];
            }
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            if (hasOwnProp_1.hasOwnProperty.call(obj, key)) {
                out[key] = obj[key];
            }
        }
    }
    return out;
};
//# sourceMappingURL=filterKeys.js.map