"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findKey = void 0;
const getKeys_1 = require("./getKeys");
exports.findKey = (obj, fn) => {
    const keys = getKeys_1.getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        if (fn(obj[key], key, obj)) {
            return key;
        }
    }
    return undefined;
};
//# sourceMappingURL=findKey.js.map