"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapProps = void 0;
const getKeys_1 = require("./getKeys");
exports.mapProps = (obj, fn, thisp, dest = {}) => {
    const out = dest;
    const keys = getKeys_1.getKeys(obj);
    const len = keys.length;
    if (thisp == null) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            out[key] = fn(obj[key], key, obj);
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            out[key] = fn.call(thisp, obj[key], key, obj);
        }
    }
    return out;
};
//# sourceMappingURL=mapProps.js.map