"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withoutKeys = void 0;
const getKeys_1 = require("./getKeys");
exports.withoutKeys = (obj, excludeKeys, dest = {}) => {
    const out = dest;
    const keys = getKeys_1.getKeys(obj);
    const len = keys.length;
    for (let i = 0; i < len; i += 1) {
        const key = keys[i];
        if (excludeKeys.indexOf(key) === -1) {
            out[key] = obj[key];
        }
    }
    return out;
};
//# sourceMappingURL=withoutKeys.js.map