"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promiseAll = exports.allValues = void 0;
const getKeys_1 = require("../object/getKeys");
exports.allValues = (mapOfPromise) => {
    const keys = getKeys_1.getKeys(mapOfPromise);
    const len = keys.length;
    const promises = new Array(len);
    for (let i = 0; i < len; i += 1) {
        promises[i] = mapOfPromise[keys[i]];
    }
    return Promise.all(promises).then((values) => {
        const mapped = {};
        for (let i = 0; i < len; i += 1) {
            mapped[keys[i]] = values[i];
        }
        return mapped;
    });
};
exports.promiseAll = exports.allValues;
//# sourceMappingURL=allValues.js.map