"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collapseWSMultiLine = void 0;
const allWS = /\s+/g;
const newline = /[\r\n]/;
const replaceCollapsedWS = (s) => newline.test(s) ? '\n' : ' ';
exports.collapseWSMultiLine = (s) => {
    if (s) {
        const t = s.trim();
        if (t) {
            return t.replace(allWS, replaceCollapsedWS);
        }
    }
    return '';
};
//# sourceMappingURL=collapseWSMultiLine.js.map