"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatCurrency = void 0;
const defaultSectionSize = 3;
exports.formatCurrency = (value, fixed = 0, sectionSize = defaultSectionSize, sign = '$') => {
    const regexp = new RegExp(`\\d(?=(\\d{${sectionSize}})+${fixed > 0 ? '\\.' : '$'})`, 'g');
    const fixed2 = Math.max(0, ~~fixed);
    return `${sign}${value.toFixed(fixed2).replace(regexp, '$&,')}`;
};
//# sourceMappingURL=formatCurrency.js.map