"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unescapeHtmlChars = void 0;
const htmlCharsToUnescape = {
    '&amp;': '&',
    '&lt;': '<',
    '&gt;': '>',
};
const unescapeHtmlChar = (tag) => htmlCharsToUnescape[tag] || tag;
exports.unescapeHtmlChars = (str) => str.replace(/&(?:amp|lt|gt);/g, unescapeHtmlChar);
//# sourceMappingURL=unescapeHtmlChars.js.map