"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseVideoIdFromYouTubeVideoUrl = void 0;
const watchPattern = /\byoutube\.com\/watch\?v=([\w-]+)\b/;
const shortUrlPattern = /\byoutu\.be\/([\w-]+)\b/;
const embedPattern = /\byoutube\.com\/embed\/([\w-]+)\b/;
exports.parseVideoIdFromYouTubeVideoUrl = (url) => {
    if (url) {
        let match = url.match(watchPattern);
        if (match) {
            return match[1];
        }
        match = url.match(shortUrlPattern);
        if (match) {
            return match[1];
        }
        match = url.match(embedPattern);
        if (match) {
            return match[1];
        }
    }
    return null;
};
//# sourceMappingURL=parseVideoIdFromYouTubeVideoUrl.js.map