export const indexItems = (list, toKey, dest = {}) => {
    const len = list.length;
    const out = dest;
    if (len > 0) {
        if (typeof toKey === 'function') {
            for (let i = 0; i < len; i += 1) {
                const item = list[i];
                const k = toKey(item, i, list);
                if (k != null) {
                    out[k] = item;
                }
            }
        }
        else {
            for (let i = 0; i < len; i += 1) {
                const item = list[i];
                const k = item && item[toKey];
                if (k != null) {
                    out[k] = item;
                }
            }
        }
    }
    return out;
};
//# sourceMappingURL=indexItems.js.map