export const mapToUniqueString = (arr, fn) => {
    const idMap = {};
    const res = [];
    const len = arr.length;
    for (let i = 0; i < len; i += 1) {
        const id = fn(arr[i], i, arr);
        if (id != null && idMap[id] !== true) {
            idMap[id] = true;
            res.push(id);
        }
    }
    return res;
};
//# sourceMappingURL=mapToUniqueString.js.map