export const getDateWithTimeZone = (timeZone, year, month0, day, hour = 0, minute = 0, second = 0) => {
    const date = new Date(Date.UTC(year, month0, day, hour, minute, second));
    const offset = new Date(date.toLocaleString('en-US', { timeZone: 'UTC' })).getTime() -
        new Date(date.toLocaleString('en-US', { timeZone })).getTime();
    return new Date(date.getTime() + offset);
};
//# sourceMappingURL=getDateWithTimeZone.js.map