import { hasOwnProperty } from './hasOwnProp';
export const filterKeys = (obj, keys, dest = {}) => {
    const out = dest;
    const len = keys.length;
    if (obj.hasOwnProperty) {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            if (obj.hasOwnProperty(key)) {
                out[key] = obj[key];
            }
        }
    }
    else {
        for (let i = 0; i < len; i += 1) {
            const key = keys[i];
            if (hasOwnProperty.call(obj, key)) {
                out[key] = obj[key];
            }
        }
    }
    return out;
};
//# sourceMappingURL=filterKeys.js.map