import { getKeys } from './getKeys';
export const findProp = (obj, fn) => {
    const keys = getKeys(obj);
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        const val = obj[key];
        if (fn(val, key, obj)) {
            return val;
        }
    }
    return undefined;
};
//# sourceMappingURL=findProp.js.map