export const getter = (path) => {
    const keys = path.split('.');
    const lastIndex = keys.length - 1;
    return (obj) => {
        if (!obj) {
            return undefined;
        }
        let scope = obj;
        let i = 0;
        for (; i < lastIndex; i += 1) {
            scope = scope[keys[i]];
            if (!scope) {
                return undefined;
            }
        }
        return scope[keys[i]];
    };
};
//# sourceMappingURL=getter.js.map