export const pick = (obj, keys) => {
    const dest = {};
    for (let i = 0, len = keys.length; i < len; i += 1) {
        const key = keys[i];
        if (key in obj) {
            dest[key] = obj[key];
        }
    }
    return dest;
};
//# sourceMappingURL=pick.js.map