import { getKeys } from './getKeys';
export const withoutKeys = (obj, excludeKeys, dest = {}) => {
    const out = dest;
    const keys = getKeys(obj);
    const len = keys.length;
    for (let i = 0; i < len; i += 1) {
        const key = keys[i];
        if (excludeKeys.indexOf(key) === -1) {
            out[key] = obj[key];
        }
    }
    return out;
};
//# sourceMappingURL=withoutKeys.js.map