export interface IDataResult<T> {
    data: T;
    error: null;
    resolved: true;
}
export interface IErrorResult<T> {
    data: null;
    error: T;
    resolved: false;
}
export declare type IResult<T, E> = IDataResult<T> | IErrorResult<E>;
export declare const toResult: <T>(x: T | Promise<T>) => IDataResult<T> | IErrorResult<any> | Promise<IResult<T, any>>;
//# sourceMappingURL=toResult.d.ts.map