const htmlCharsToEscape = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
};
const escapeHtmlChar = (tag) => htmlCharsToEscape[tag] || tag;
export const escapeHtmlChars = (str) => str.replace(/[&<>]/g, escapeHtmlChar);
//# sourceMappingURL=escapeHtmlChars.js.map