import { pad } from './pad';
export const padStart = typeof ''.padStart === 'function'
    ? (s, length, padString = ' ') => s.padStart(length, padString)
    : (s, length, padString = ' ') => {
        const dLength = length - s.length;
        if (dLength > 0) {
            return `${pad(padString, dLength)}${s}`;
        }
        return s;
    };
//# sourceMappingURL=padStart.js.map